Required. The entity to create.
Required. The type of the activity.
Required. The source that performed the activity.
Required. The payload containing activity-specific data.
- Mock serverhttps://docs.bndry.net/_mock/apis/openapi/v1alpha/activityLogs
- BNDRY APIhttps://api.bndry.app/v1alpha/activityLogs
- oauth2_client_credentials
- oauth2_authorization_code
curl -i -X POST \
'https://docs.bndry.net/_mock/apis/openapi/v1alpha/activityLogs?activityLogId=activity-log-001' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "activityLogs/01234567-89ab-cdef-0123-456789abcdef",
"type": "ACTIVITY_TYPE_UNSPECIFIED",
"source": "ACTIVITY_SOURCE_UNSPECIFIED",
"payload": {
"bndryRiskRatingResult": {
"riskRating": {
"name": "string",
"rules": [
{
"title": "string",
"description": "string",
"expression": "string",
"enabled": true,
"results": {}
}
]
},
"riskRatingLevels": {
"name": "string",
"levels": [
{
"label": "string",
"threshold": 0,
"description": "string",
"color": "string",
"icon": "string"
}
]
}
}
},
"createTime": "2023-01-15T01:30:15.01Z",
"updateTime": "2023-01-15T01:30:15.01Z",
"occurredTime": "2023-01-15T01:30:15.01Z",
"deleteTime": "2023-01-15T01:30:15.01Z",
"purgeTime": "2023-01-15T01:30:15.01Z",
"entityNames": [
"entities/john-smith-001"
],
"workspace": "workspaces/01234567-89ab-cdef-0123-456789abcdef"
}'Success
Required. The type of the activity.
Required. The source that performed the activity.
Required. The payload containing activity-specific data.
Output only. The timestamp when the activity was created.
Output only. The timestamp when the activity was last updated.
Output only. The timestamp when the activity occurred.
For special activity types, this field uses specific dates from the payload:
- UNUSUAL_ACTIVITY_REPORT: Uses the incident_date from report_details
- SUSPICIOUS_MATTER_REPORT: Uses the incident_date from report_details
- CUSTOM: Uses the activity_time from the custom activity payload
For all other activity types, or when the above dates are not provided, this defaults to the activity creation time.
Output only. The timestamp when the activity log was deleted. See AIP-164.
Output only. The timestamp when the activity log will be purged if soft-deleted. See AIP-164.
The display names of the entities involved in this activity.
Output only. The form definition associated with the created form, if any. string.resource_name = ["formDefinitions/*"] // value must be a valid resource name
{ "name": "activityLogs/01234567-89ab-cdef-0123-456789abcdef", "type": "ACTIVITY_TYPE_UNSPECIFIED", "source": "ACTIVITY_SOURCE_UNSPECIFIED", "payload": { "bndryRiskRatingResult": { … } }, "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "occurredTime": "2023-01-15T01:30:15.01Z", "deleteTime": "2023-01-15T01:30:15.01Z", "purgeTime": "2023-01-15T01:30:15.01Z", "entityNames": [ "entities/john-smith-001" ], "entityDisplayNames": [ "John Smith" ], "workspace": "workspaces/01234567-89ab-cdef-0123-456789abcdef", "formDefinition": "string", "form": "string", "activityLogType": "string" }